Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractLimitMovement

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitMovement

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractLimitMovement extends Id
Изменение лимита договора.

See Also:
  - `LimitManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitMovement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Значение - на сколько был изменен лимит.
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getStatus()`
  `ContractLimitMovement`
  `setAmount(BigDecimal amount)`
  `ContractLimitMovement`
  `setDateFrom(Date dateFrom)`
  `ContractLimitMovement`
  `setDateTo(Date dateTo)`
  `ContractLimitMovement`
  `setId(int id)`
  Устанавливает id объекта
  `ContractLimitMovement`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitMovement

    public ContractLimitMovement()

- ## Method Details

  - ### getAmount

    public BigDecimal getAmount()
    Значение - на сколько был изменен лимит.
    Returns:

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getStatus

    public int getStatus()

  - ### setAmount

    public ContractLimitMovement setAmount(BigDecimal amount)

  - ### setDateFrom

    public ContractLimitMovement setDateFrom(Date dateFrom)

  - ### setDateTo

    public ContractLimitMovement setDateTo(Date dateTo)

  - ### setId

    public ContractLimitMovement setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setStatus

    public ContractLimitMovement setStatus(int status)